From 68c49f9073233dd6a52c52c2e14afe4987f80055 Mon Sep 17 00:00:00 2001
From: Jim Cromie <jim.cromie@gmail.com>
Date: Mon, 22 Aug 2011 11:33:16 -0600
Subject: [PATCH 09/11] grub titles should have version, not date-of-install

---
 usr/local/sbin/setboot.sh |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

diff --git a/usr/local/sbin/setboot.sh b/usr/local/sbin/setboot.sh
index 5e2d889..0175bca 100755
--- a/usr/local/sbin/setboot.sh
+++ b/usr/local/sbin/setboot.sh
@@ -14,7 +14,7 @@ fi
 #	(/etc/lilo.conf).  Uses the VOYAGE_SYSTEM_xxxx and TARGET_xxxx
 #	environment variables to control the generation
 make_lilo_conf() {
-	local liloconf newlilo sercmd serapp
+	local liloconf newlilo sercmd serapp version
 	
 	# First decide whether console is normal or serial
 	if [ $VOYAGE_SYSTEM_CONSOLE == serial ]; then
@@ -26,6 +26,9 @@ make_lilo_conf() {
 		sercmd=""
 		serapp=""
 	fi
+
+	# dist version is more useful than date of CF-install
+	version=`grep Version: etc/motd.tail | cut -d: -f3-`
 	#
 	# Generate our lilo config file
 	# Note that the 'boot', 'disk' and 'bios' params allow us
@@ -46,7 +49,7 @@ vga=normal
 default=Linux
 
 image=/vmlinuz
-	label=Linux
+	label=Linux $version
 	initrd=/initrd.img
 	read-only
 	append="root=LABEL=$ROOT_LBL ${serapp}reboot=bios" ${BOOTARGS}"
@@ -96,7 +99,7 @@ update_lilo()
 #
 update_grub()
 {
-	local console datestr fname gp prolog res
+	local console datestr fname gp prolog res version
 
 	# if the boot partition is separate from the main one,
 	# mount it on $TARGET_MOUNT/rw, otherwise it will be
@@ -190,9 +193,11 @@ EOM
 	# generate a label with today's date
 	# and append to menu.lst
 	datestr=`date +%d%b%y`
+	# dist version is more useful than date of CF-install
+	version=`grep Version: etc/motd.tail | cut -d: -f3-`
 	cat <<EOM >> ${gp}/grub/menu.lst
 
-title voyage-linux-$datestr
+title voyage-linux-$version
 root (hd0,$(($TARGET_PART-1)))
 kernel /vmlinuz root=LABEL=$ROOT_LBL ${console} ${BOOTARGS}
 ${VOYAGE_INITRD}
-- 
1.7.4.4

